package jrummikub.ai.fdsolver.constraint;

import java.util.Comparator;

import jrummikub.ai.fdsolver.Var;

public class LessThan<T extends Comparable<T>> extends ComparatorConstraint<T> {

	public LessThan(boolean allowEqual, Var<T> x, Var<T> y) {
		super(new Comparator<T>() {
			@Override
			public int compare(T o1, T o2) {
				return o1.compareTo(o2);
			}
		}, allowEqual, x, y);
	}
}
