package jrummikub.ai.fdsolver;

import java.util.Collection;

public abstract class Constraint {
	Collection<Propagator> cachedPropagators;
	
	public abstract Collection<Var<?>> getWatchedVars();

	public abstract Collection<Propagator> getPropagators(boolean negate);

	public abstract Satisfiability getSatisfiability();
}
